Summary: An OSF/Motif(R) clone.
Name: lesstif
Version: 0.92.0
Release: 2
Copyright: LGPL
Group: Development/Libraries
Source: ftp://ftp.hungry.com/pub/hungry/lesstif/lesstif-%{version}.tar.bz2
Url: http://www.lesstif.org/
Obsoletes: lesstif-clients, lesstif-mwm, Xbae
BuildRoot: %{_tmppath}/%{name}-root

%description
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.). LessTif is source compatible with
OSF/Motif(R) 1.2.  The widget set code is the primary focus of
development. If you're installing lesstif, you'll also need to install
lesstif-clients.

%package 1.2-devel
Summary: Static library and header files for LessTif/Motif 1.2 development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{PACKAGE_VERSION}
Obsoletes: lesstif-2.0-devel

%description 1.2-devel
Lesstif-devel contains the lesstif static library and header files
required to develop Motif-1.2-based applications using LessTif. If you
want to develop LessTif applications, you'll need to install
lesstif-1.2-devel along with lesstif and lesstif-clients.

%prep
%setup -q

LESSTIFTOP=$PWD
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --enable-shared --enable-static \
	--enable-production --enable-build-12 \
	--disable-build-20 --disable-build-21 \
	--enable-default-12 \
	--disable-maintainer-mode --disable-debug \
	--enable-build-Xbae --enable-build-Xlt

%build
make
make -C lib/Xlt

%install
chmod a-x [A-Z]*
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make install DESTDIR=$RPM_BUILD_ROOT
make -C lib/Xlt install DESTDIR=$RPM_BUILD_ROOT  

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS 
%attr(-, root, root) %doc CURRENT_NOTES ChangeLog KNOWN_BUGS NEWS NOTES 
%attr(-, root, root) %doc README RELEASE-POLICY
%attr(-, root, root) %doc doc/{*.txt,*.html}
%attr(-, root, root) %doc doc/www.lesstif.org/{*.html,images/*.gif}
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif1.2/lib
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.so*
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.la
%attr(644, root, root) /usr/X11R6/lib/libMrm.so.1*
%attr(644, root, root) /usr/X11R6/lib/libXm.so.1*
%attr(644, root, root) /usr/X11R6/lib/libXlt.so*
%attr(755, root, root) /usr/X11R6/lib/libXbae.so*

%files 1.2-devel
%defattr(-,root,root)
%doc doc/lessdox/*
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif1.2/include
%attr(755, root, root) /usr/X11R6/bin/mxmkmf
%attr(-, root, root) /usr/X11R6/LessTif/Motif1.2/include/*
%attr(644, root, root) /usr/X11R6/LessTif/Motif1.2/lib/lib*.a
%attr(755, root, root) %dir /usr/X11R6/include/Xlt
%attr(755, root, root) %dir /usr/X11R6/include/Xbae
%attr(-, root, root) /usr/X11R6/include/Xlt/*
%attr(-, root, root) /usr/X11R6/include/Xbae/*

%changelog
* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- Obsoletes Xbae, It's a part in lesstif and is up to date.

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- update to 0.92.0
- bzip2 sources
- add %%clean

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- fix permission of Xm and Mrm

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Wed May 31 2000 Than Ngo <than@redhat.de>
- update to 0.91.0
- fix conflict with openmotif
- remove part lesstif 2.0
- cleanup specfile

* Sun Apr 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.90.0
- handle gzip'ed man pages

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix a typo in files list (lib*.a, not lib.*a)

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.89.9
- Fix packaging issues (Bug #8607)
- bzip2 source to save space
- disable debugging

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.89.4
- some spec file cleanups
- handle RPM_OPT_FLAGS

* Thu Jul 2 1999 Tim Powers <timp@redhat.com>
- added 1.2-devel and 2.0-devel descriptions and file lists
- made default build 2.0
- changed decriptions for all packages
- added Requires: to 1.2-devel, 2.0-devel, clients, and mwm
- built for Powertools

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).
* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.
